# std::map::max_size

From cppreference.com
< cpp‎ | container‎ | map

size_type max_size() const; |  |

Returns the maximum number of elements the container is able to hold due to system or library implementation limitations, i.e. std::distance(begin(), end()) for the largest container.

### Parameters

(none)

### Return value

Maximum number of elements.

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Constant.

### Notes

This value typically reflects the theoretical limit on the size of the container. At runtime, the size of the container may be limited to a value smaller than `max_size()` by the amount of RAM available.

### Example

Run this code

    #include <iostream>
    #include <map>

    int main()
    {
        std::map<char,char> s;
        std::cout << "Maximum size of a 'map' is " << s.max_size() << "\n";
    }

Possible output:

    Maximum size of a 'map' is 18446744073709551615

### See also

size | returns the number of elements (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/map/max_size&oldid=50564"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template